Skip to main content
POST
/
unblocker
/
req
cURL
curl --request POST \
  --url https://api.brightdata.com/unblocker/req \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "url": "https://geo.brdtest.com/welcome.txt",
  "method": "<string>",
  "headers": {},
  "body": "<string>",
  "country": "US",
  "webhook_url": "<string>",
  "webhook_method": "<string>",
  "webhook_data": "<unknown>"
}
'
{
  "response_id": "s4t7w3619285042ra9dke1m8qx"
}

Authorizations

Authorization
string
header
required

Use your Bright Data API Key as a Bearer token in the Authorization header.

How to authenticate:

  1. Obtain your API Key from the Bright Data account settings
  2. Include the API Key in the Authorization header of your requests
  3. Format: Authorization: Bearer YOUR_API_KEY

Example:

Authorization: Bearer b5648e1096c6442f60a6c4bbbe73f8d2234d3d8324554bd...

Learn how to get your Bright Data API key

Query Parameters

zone
string
required

The name of your Bright Data Unlocker zone.

customer
string

Your Bright Data account ID.

Body

application/json
url
string<uri>
required

Defines the url of the request

Example:

"https://geo.brdtest.com/welcome.txt"

method
string

Defines the HTTP method of the request

headers
object

Defines headers to be used in the request

body

Defines body to be sent with request. If an object is specified, it is serialized to JSON, and Content-Type header is set to application/json.

country
string

Defines country to be used for request (2-letters code)

Example:

"US"

webhook_url
string<uri>

Defines the URL to which the job status notification will be sent. If you don’t want to setup a default webhook (above) or prefer the URL to be different per request, use this.

webhook_method
string

Defines the HTTP method to use with the webhook_url (GET or POST)

webhook_data
any

Defines the data that will be sent with job status notification

Response

200 - application/json

OK

response_id
string

Defines the job id.

Example:

"s4t7w3619285042ra9dke1m8qx"